Creates a new Catalog Property - returns catalog_properties type
curl --request POST \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_properties",
"attributes": {
"name": "<string>",
"kind": "text",
"kind_catalog_id": "<string>",
"multiple": true,
"position": 123,
"required": true,
"catalog_type": "catalog"
}
}
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A catalog can have a maximum of 50 fields.
Show child attributes
catalog_property created
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_properties",
"attributes": {
"name": "<string>",
"kind": "text",
"kind_catalog_id": "<string>",
"multiple": true,
"position": 123,
"required": true,
"catalog_type": "catalog"
}
}
}
'